Documentation

Send a message to a voxie

POST
/api/v1/external/voxies/{voxieId}/run

Scope requis : write:voxies.

AutorisationBearer <jeton>

JWT d'organisation obtenu via le flow OIDC. Voir le guide d'intégration.

Dans: header

Paramètres de chemin

voxieId*string

Corps de requête

application/json

Définitions TypeScript

Utilisez le type request body en TypeScript.

prompt*string
sessionId?string
stream*boolean
sessionState?
attachmentIds?array<string>
fileIds?array<string>
folderIds?array<string>
integrationIds?array<string>
temporarySession?boolean
allowBonusOrbsUse*boolean
Défautfalse
timezone?string

Corps de réponse

curl -X POST "https://example.com/api/v1/external/voxies/string/run" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string",    "stream": true,    "allowBonusOrbsUse": false  }'
{  "run_id": "d8230914-a244-4444-ad8b-bcd6a8e6ebe7",  "agent_id": "research-agent",  "agent_name": "Research Agent",  "session_id": "session-123",  "parent_run_id": null,  "user_id": "q55sdliutspa",  "input": {    "input_content": "What are the latest developments in AI?",    "images": null,    "videos": null,    "audios": null,    "files": null  },  "content": "Here are the latest developments in AI:\n\n1. **Large Language Models**: Recent advancements in LLMs have shown significant improvements in reasoning capabilities...\n\n2. **Multimodal AI**: Models that can process text, images, and audio simultaneously are becoming more sophisticated...\n\n3. **AI Agents**: Autonomous AI agents that can execute complex multi-step tasks are gaining traction...",  "content_type": "str",  "messages": [    {      "id": "b9996c1f-e055-4dad-bd73-a55c41f63bfe",      "role": "system",      "content": "You are a helpful research assistant.",      "compressed_content": null,      "name": null,      "tool_call_id": null,      "tool_calls": null,      "audio": null,      "images": null,      "videos": null,      "files": null,      "audio_output": null,      "image_output": null,      "video_output": null,      "file_output": null,      "redacted_reasoning_content": null,      "provider_data": null,      "citations": null,      "reasoning_content": null,      "tool_name": null,      "tool_args": null,      "tool_call_error": null,      "stop_after_tool_call": false,      "add_to_agent_memory": true,      "from_history": false,      "metrics": {        "input_tokens": 0,        "output_tokens": 0,        "total_tokens": 0,        "cost": null,        "audio_input_tokens": 0,        "audio_output_tokens": 0,        "audio_total_tokens": 0,        "cache_read_tokens": 0,        "cache_write_tokens": 0,        "reasoning_tokens": 0,        "timer": null,        "time_to_first_token": null,        "duration": null,        "provider_metrics": null,        "additional_metrics": null      },      "references": null,      "created_at": 1769093539,      "temporary": false    },    {      "id": "19668437-81fd-47bd-8ff9-93a8b9d5eb49",      "role": "user",      "content": "What are the latest developments in AI?",      "compressed_content": null,      "name": null,      "tool_call_id": null,      "tool_calls": null,      "audio": null,      "images": null,      "videos": null,      "files": null,      "audio_output": null,      "image_output": null,      "video_output": null,      "file_output": null,      "redacted_reasoning_content": null,      "provider_data": null,      "citations": null,      "reasoning_content": null,      "tool_name": null,      "tool_args": null,      "tool_call_error": null,      "stop_after_tool_call": false,      "add_to_agent_memory": true,      "from_history": false,      "metrics": {        "input_tokens": 0,        "output_tokens": 0,        "total_tokens": 0,        "cost": null,        "audio_input_tokens": 0,        "audio_output_tokens": 0,        "audio_total_tokens": 0,        "cache_read_tokens": 0,        "cache_write_tokens": 0,        "reasoning_tokens": 0,        "timer": null,        "time_to_first_token": null,        "duration": null,        "provider_metrics": null,        "additional_metrics": null      },      "references": null,      "created_at": 1769093539,      "temporary": false,      "input": "What are the latest developments in AI?"    },    {      "id": "f72fb630-d3e8-4dc9-b3f2-7f2f8f977351",      "role": "assistant",      "content": "Here are the latest developments in AI:\n\n1. **Large Language Models**: Recent advancements in LLMs have shown significant improvements in reasoning capabilities...\n\n2. **Multimodal AI**: Models that can process text, images, and audio simultaneously are becoming more sophisticated...\n\n3. **AI Agents**: Autonomous AI agents that can execute complex multi-step tasks are gaining traction...",      "compressed_content": null,      "name": null,      "tool_call_id": null,      "tool_calls": null,      "audio": null,      "images": null,      "videos": null,      "files": null,      "audio_output": null,      "image_output": null,      "video_output": null,      "file_output": null,      "redacted_reasoning_content": null,      "provider_data": {        "id": "chatcmpl-6989d6405f03ecfd95d8bed617b9fcf4",        "model_extra": {          "prompt_logprobs": null,          "kv_transfer_params": null        }      },      "citations": null,      "reasoning_content": null,      "tool_name": null,      "tool_args": null,      "tool_call_error": null,      "stop_after_tool_call": false,      "add_to_agent_memory": true,      "from_history": false,      "metrics": {        "input_tokens": 1024,        "output_tokens": 256,        "total_tokens": 1280,        "cost": null,        "audio_input_tokens": 0,        "audio_output_tokens": 0,        "audio_total_tokens": 0,        "cache_read_tokens": 0,        "cache_write_tokens": 0,        "reasoning_tokens": 0,        "timer": null,        "time_to_first_token": null,        "duration": null,        "provider_metrics": null,        "additional_metrics": null      },      "references": null,      "created_at": 1769093539,      "temporary": false    }  ],  "metrics": {    "input_tokens": 1024,    "output_tokens": 256,    "total_tokens": 1280,    "cost": null,    "audio_input_tokens": 0,    "audio_output_tokens": 0,    "audio_total_tokens": 0,    "cache_read_tokens": 0,    "cache_write_tokens": 0,    "reasoning_tokens": 0,    "timer": {      "start_time": 348993.139829958,      "end_time": 348998.399561208,      "elapsed_time": 5.259731250000186    },    "time_to_first_token": 0.11074754199944437,    "duration": 5.259731250000186,    "provider_metrics": null,    "additional_metrics": null  },  "model": "gpt-4o",  "model_provider": "OpenAI",  "tools": [],  "images": null,  "videos": null,  "audio": null,  "files": null,  "response_audio": null,  "reasoning_content": null,  "citations": null,  "model_provider_data": {    "id": "chatcmpl-6989d6405f03ecfd95d8bed617b9fcf4",    "model_extra": {      "prompt_logprobs": null,      "kv_transfer_params": null    }  },  "metadata": {    "role": "assistant",    "version": "1.0"  },  "session_state": null,  "references": null,  "additional_input": null,  "reasoning_steps": null,  "reasoning_messages": null,  "created_at": 1769093539,  "events": null,  "status": "COMPLETED",  "requirements": null,  "workflow_step_id": null}